iVisibilityObject Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iVisibilityObject Struct Reference
Visibility

An object that wants to know if it is visible or not for some visibility culler needs to implement this interface. More...

`#include <iengine/viscull.h>`

Inheritance diagram for iVisibilityObject:

List of all members.

## Public Member Functions
virtual const csBox3 & | GetBBox () const =0
| Get the world space bbox for this object.
virtual csFlags & | GetCullerFlags ()=0
| Get flags for this object.
virtual iMeshWrapper * | GetMeshWrapper () const =0
| Get the reference to the mesh wrapper from this object.
virtual iMovable * | GetMovable () const =0
| Get the reference to the movable from this object.
virtual iObjectModel * | GetObjectModel ()=0
| Get the object model corresponding with this object.

## Detailed Description

An object that wants to know if it is visible or not for some visibility culler needs to implement this interface.

Main creators of instances implementing this interface:

- Mesh wrapper in the engine implements this.

Main ways to get pointers to this interface:

- scfQueryInterface<iMeshWrapper>

Main users of this interface:

- Visibility culler plugins (iVisibilityCuller).

Definition at line 269 of file viscull.h.

## Member Function Documentation

virtual const csBox3& iVisibilityObject::GetBBox | ( |  | ) | const`[pure virtual]`

Get the world space bbox for this object.

virtual csFlags& iVisibilityObject::GetCullerFlags | ( |  | ) | `[pure virtual]`

Get flags for this object.

This is a combination of zero or more of the following flags. See the documentation with these flags for more info:

- CS_CULLER_HINT_GOODOCCLUDER
- CS_CULLER_HINT_BADOCCLUDER

virtual iMeshWrapper* iVisibilityObject::GetMeshWrapper | ( |  | ) | const`[pure virtual]`

Get the reference to the mesh wrapper from this object.

virtual iMovable* iVisibilityObject::GetMovable | ( |  | ) | const`[pure virtual]`

Get the reference to the movable from this object.

virtual iObjectModel* iVisibilityObject::GetObjectModel | ( |  | ) | `[pure virtual]`

Get the object model corresponding with this object.

The documentation for this struct was generated from the following file:

- iengine/viscull.h